using System;
using System.Runtime.Serialization;
using System.Xml;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationABNREGREQUEST2019
{
    /// <summary>
    /// ABNREGREQUEST
    /// </summary>
    [DataContract(Name = "ABNREGREQUEST", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class ABNREGREQUEST
    {

        [DataMember(EmitDefaultValue = false, Order = 1)]
        public RP RP { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 2)]
        public INTTrueAndCorrect INTTrueAndCorrect { get; set; }
    }

    /// <summary>
    /// Entitlement
    /// </summary>
    [CollectionDataContract(Name = "EntitlementCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "Entitlement")]
    public class EntitlementCollection : List<Entitlement> { }

    /// <summary>
    /// Entitlement
    /// </summary>
    [DataContract(Name = "Entitlement", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class Entitlement
    {

        /// <summary>
        /// Question Identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string EntitlementQuestionInteractionQuestionIdentifier { get; set; }

        /// <summary>
        /// Option Identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string InteractionOptionQuestionIdentifier { get; set; }

        /// <summary>
        /// Next question identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string EntitlementNextQuestionInteractionQuestionIdentifier { get; set; }
    }

    /// <summary>
    /// AdditionalBusinessLocation
    /// </summary>
    [CollectionDataContract(Name = "AdditionalBusinessLocationCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "AdditionalBusinessLocation")]
    public class AdditionalBusinessLocationCollection : List<AdditionalBusinessLocation> { }

    /// <summary>
    /// AdditionalBusinessLocation
    /// </summary>
    [DataContract(Name = "AdditionalBusinessLocation", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class AdditionalBusinessLocation
    {

        /// <summary>
        /// Additional Business Activity Same as Main Business Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? OrganisationDetailsMainBusinessActivityIndicator { get; set; }

        /// <summary>
        /// Search Term for Main Activity at Additional Business Locations
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string OrganisationDetailsMainIncomeActivityDescription { get; set; }

        /// <summary>
        /// Main Business Activity Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string OrganisationDetailsMainIncomeActivityCode { get; set; }

        /// <summary>
        /// Additional Business AddressLine1
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string AddressDetailsLine1Text { get; set; }

        /// <summary>
        /// Additional Business AddressLine2
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string AddressDetailsLine2Text { get; set; }

        /// <summary>
        /// Additional Business Country
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string AddressDetailsCountryCode { get; set; }

        /// <summary>
        /// Additional Business Postcode
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string AddressDetailsPostcodeText { get; set; }

        /// <summary>
        /// Additional Business State
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string AddressDetailsStateOrTerritoryCode { get; set; }

        /// <summary>
        /// Additional Business Suburb Town Locality
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string AddressDetailsLocalityNameText { get; set; }

        /// <summary>
        /// Additional Business Email Address
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public string ElectronicContactElectronicMailAddressText { get; set; }

        /// <summary>
        /// Additional Business Phone Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 11)]
        public string ElectronicContactTelephoneServiceLineCode { get; set; }

        /// <summary>
        /// Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 12)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Additional Business Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 13)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }
    }

    /// <summary>
    /// AfterhoursContactTelephone
    /// </summary>
    [DataContract(Name = "AfterhoursContactTelephone", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class AfterhoursContactTelephone
    {

        /// <summary>
        /// Afterhours Business Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Afterhours  Business Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }
    }

    /// <summary>
    /// BusinessHoursContactTelephone
    /// </summary>
    [DataContract(Name = "BusinessHoursContactTelephone", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class BusinessHoursContactTelephone
    {

        /// <summary>
        /// Business Hours Contact Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Business Hours Contact Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }
    }

    /// <summary>
    /// AuthorisedContact
    /// </summary>
    [CollectionDataContract(Name = "AuthorisedContactCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "AuthorisedContact")]
    public class AuthorisedContactCollection : List<AuthorisedContact> { }

    /// <summary>
    /// AuthorisedContact
    /// </summary>
    [DataContract(Name = "AuthorisedContact", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class AuthorisedContact
    {

        /// <summary>
        /// Contact Title
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string PersonNameDetailsTitleText { get; set; }

        /// <summary>
        /// Contact Preferred Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string PersonNameDetailsGivenNameText { get; set; }

        /// <summary>
        /// Contact Family Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string PersonNameDetailsFamilyNameText { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 4)]
        public AfterhoursContactTelephone AfterhoursContactTelephone { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 5)]
        public BusinessHoursContactTelephone BusinessHoursContactTelephone { get; set; }

        /// <summary>
        /// Contact Email Address
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string ElectronicContactElectronicMailAddressText { get; set; }

        /// <summary>
        /// Contact Facsimile Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string ElectronicContactFacsimileAreaCode { get; set; }

        /// <summary>
        /// Contact Facsimile Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string ElectronicContactFacsimileMinimalNumber { get; set; }

        /// <summary>
        /// Contact Mobile Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string ElectronicContactTelephoneMobileNumber { get; set; }

        /// <summary>
        /// Contact Preferred Language
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public string PersonDemographicDetailsLanguagePreferredCode { get; set; }

        /// <summary>
        /// Contact Other Preferred Language
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 11)]
        public string PersonDemographicDetailsLanguagePreferredOtherDescription { get; set; }

        /// <summary>
        /// Contact Position Held
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 12)]
        public string PersonNameDetailsPositionText { get; set; }
    }

    [CollectionDataContract(Name = "PersonNameDetailsPositionTextCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "PersonNameDetailsPositionText")]
    public class PersonNameDetailsPositionTextCollection : List<string> { }

    /// <summary>
    /// AssociateIndividual
    /// </summary>
    [CollectionDataContract(Name = "AssociateIndividualCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "AssociateIndividual")]
    public class AssociateIndividualCollection : List<AssociateIndividual> { }

    /// <summary>
    /// AssociateIndividual
    /// </summary>
    [DataContract(Name = "AssociateIndividual", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class AssociateIndividual
    {

        /// <summary>
        /// Associate Date Of Birth
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public DateTime? PersonDemographicDetailsBirthDate { get; set; }

        /// <summary>
        /// Associate Family Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string PersonNameDetailsFamilyNameText { get; set; }

        /// <summary>
        /// Associate Given Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string PersonNameDetailsGivenNameText { get; set; }

        /// <summary>
        /// Associate Other Given Names
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string PersonNameDetailsOtherGivenNameText { get; set; }

        /// <summary>
        /// Associate Title
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string PersonNameDetailsTitleText { get; set; }

        /// <summary>
        /// Associate Gender
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string PersonDemographicDetailsSexCode { get; set; }

        /// <summary>
        /// Position Held
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public PersonNameDetailsPositionTextCollection PersonNameDetailsPositionTextCollection { get; set; }

        /// <summary>
        /// Associate Tax File Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string IdentifiersTaxFileNumberIdentifier { get; set; }

        /// <summary>
        /// Address Line 1
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string AddressDetailsLine1Text { get; set; }

        /// <summary>
        /// Address Line 2
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public string AddressDetailsLine2Text { get; set; }

        /// <summary>
        /// Locality Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 11)]
        public string AddressDetailsLocalityNameText { get; set; }

        /// <summary>
        /// Post Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 12)]
        public string AddressDetailsPostcodeText { get; set; }

        /// <summary>
        /// State Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 13)]
        public string AddressDetailsStateOrTerritoryCode { get; set; }

        /// <summary>
        /// Country Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 14)]
        public string AddressDetailsCountryCode { get; set; }
    }

    /// <summary>
    /// AssociateOrganisation
    /// </summary>
    [CollectionDataContract(Name = "AssociateOrganisationCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "AssociateOrganisation")]
    public class AssociateOrganisationCollection : List<AssociateOrganisation> { }

    /// <summary>
    /// AssociateOrganisation
    /// </summary>
    [DataContract(Name = "AssociateOrganisation", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class AssociateOrganisation
    {

        /// <summary>
        /// Non Individual Australian Company Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersAustralianCompanyNumberIdentifier { get; set; }

        /// <summary>
        /// Australian Registered Body Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string IdentifiersAustralianRegisteredBodyNumberIdentifier { get; set; }

        /// <summary>
        /// Associates Organisation Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string OrganisationNameDetailsOrganisationalNameText { get; set; }

        /// <summary>
        /// Associate Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string IdentifiersAustralianBusinessNumberIdentifier { get; set; }

        /// <summary>
        /// Associate Position Held
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public PersonNameDetailsPositionTextCollection PersonNameDetailsPositionTextCollection { get; set; }

        /// <summary>
        /// Associate Tax File Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string IdentifiersTaxFileNumberIdentifier { get; set; }

        /// <summary>
        /// Company Incorporated Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public DateTime? PeriodStartDate { get; set; }

        /// <summary>
        /// Address Line 1
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string AddressDetailsLine1Text { get; set; }

        /// <summary>
        /// Address Line 2
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string AddressDetailsLine2Text { get; set; }

        /// <summary>
        /// Locality Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public string AddressDetailsLocalityNameText { get; set; }

        /// <summary>
        /// Post Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 11)]
        public string AddressDetailsPostcodeText { get; set; }

        /// <summary>
        /// State Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 12)]
        public string AddressDetailsStateOrTerritoryCode { get; set; }

        /// <summary>
        /// Country Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 13)]
        public string AddressDetailsCountryCode { get; set; }
    }

    /// <summary>
    /// Information related to the ultimate holding company of the entity
    /// </summary>
    [DataContract(Name = "RPUltimateHoldingCompany", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPUltimateHoldingCompany
    {

        /// <summary>
        /// Ultimate Holding Company's Australian Company Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersAustralianCompanyNumberIdentifier { get; set; }

        /// <summary>
        /// Ultimate Holding Company Australian Registered Body Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string IdentifiersAustralianRegisteredBodyNumberIdentifier { get; set; }
    }

    /// <summary>
    /// Information related to the business address of the entity
    /// </summary>
    [DataContract(Name = "RPAddressDetailsBusiness", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPAddressDetailsBusiness
    {

        /// <summary>
        /// Business Activity Same As Main Business
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? OrganisationDetailsMainBusinessActivityIndicator { get; set; }

        /// <summary>
        /// Search Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string OrganisationDetailsMainIncomeActivityDescription { get; set; }

        /// <summary>
        /// Main Business Activity Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string OrganisationDetailsMainIncomeActivityCode { get; set; }

        /// <summary>
        /// Business Address Line1
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string Line1Text { get; set; }

        /// <summary>
        /// Business Address Line2
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string Line2Text { get; set; }

        /// <summary>
        /// Business Country
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string CountryCode { get; set; }

        /// <summary>
        /// Business Postcode
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string PostcodeText { get; set; }

        /// <summary>
        /// Business State
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string StateOrTerritoryCode { get; set; }

        /// <summary>
        /// Business Suburb Town Locality
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string LocalityNameText { get; set; }
    }

    /// <summary>
    /// Information related to the email correspondence of the entity
    /// </summary>
    [DataContract(Name = "RPCorrespondence", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPCorrespondence
    {

        /// <summary>
        /// Correspondence email
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AddressText { get; set; }
    }

    /// <summary>
    /// Information related to the business email of the entity
    /// </summary>
    [DataContract(Name = "RPElectronicContactElectronicMailBusiness", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPElectronicContactElectronicMailBusiness
    {

        /// <summary>
        /// Business (location) email
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AddressText { get; set; }
    }

    /// <summary>
    /// Information related to the postal address of the entity
    /// </summary>
    [DataContract(Name = "RPAddressDetailsPostal", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPAddressDetailsPostal
    {

        /// <summary>
        /// Postal Address Line1
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string Line1Text { get; set; }

        /// <summary>
        /// Postal Address Line2
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string Line2Text { get; set; }

        /// <summary>
        /// Postal Country
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string CountryCode { get; set; }

        /// <summary>
        /// Postal Postcode
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string PostcodeText { get; set; }

        /// <summary>
        /// Postal State
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string StateOrTerritoryCode { get; set; }

        /// <summary>
        /// Postal Suburb Town Locality
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string LocalityNameText { get; set; }
    }

    /// <summary>
    /// Information related to the AUSKey application
    /// </summary>
    [DataContract(Name = "RPAUSkey", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPAUSkey
    {

        /// <summary>
        /// Associate AUSkey Application Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? InteractionAUSKeyApplicationIndicator { get; set; }

        /// <summary>
        /// Email Address
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string ElectronicContactElectronicMailAddressText { get; set; }

        /// <summary>
        /// Telephone Country Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string ElectronicContactTelephoneCountryCode { get; set; }

        /// <summary>
        /// Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Phone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }
    }

    /// <summary>
    /// Previous information related to the entity
    /// </summary>
    [DataContract(Name = "RPPrevious", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPPrevious
    {

        /// <summary>
        /// Previous Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersAustralianBusinessNumberIdentifier { get; set; }
    }

    /// <summary>
    /// Information related to the previous business owner
    /// </summary>
    [DataContract(Name = "RPBusinessPrev", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPBusinessPrev
    {

        /// <summary>
        /// Previous business owner's Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersAustralianBusinessNumberIdentifier { get; set; }
    }

    /// <summary>
    /// Information related to entity's GST details
    /// </summary>
    [DataContract(Name = "RPGST", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPGST
    {

        /// <summary>
        /// Goods and Services Tax Registration Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string GoodsAndServicesTaxRegistrationReasonCode { get; set; }

        /// <summary>
        /// Goods and Services Tax Effective Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public DateTime? GoodsAndServicesTaxRegistrationStartDate { get; set; }

        /// <summary>
        /// Goods and Services Tax Turnover Amount
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string GoodsAndServicesTaxTurnoverRangeCode { get; set; }

        /// <summary>
        /// Goods and Services Tax Activity Statement Lodgment Frequency
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string LodgmentFrequencyCode { get; set; }

        /// <summary>
        /// Goods and Services Tax Accounting Method
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public bool? AccountingPoliciesCashAccountingMethodUsedIndicator { get; set; }

        /// <summary>
        /// Goods Importation Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public bool? GoodsAndServicesTaxImportIndicator { get; set; }

        /// <summary>
        /// BSB Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string FinancialInstitutionAccountBankStateBranchNumber { get; set; }

        /// <summary>
        /// Account Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNumber { get; set; }

        /// <summary>
        /// Account Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNameText { get; set; }

        /// <summary>
        /// Financial Institution Account Holder Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public string FinancialInstitutionAccountHolderTypeCode { get; set; }
    }

    [CollectionDataContract(Name = "FuelTaxFuelTypeCodeCollection", Namespace = "http://www.sbr.gov.au/ato/abnregrequest", ItemName = "FuelTaxFuelTypeCode")]
    public class FuelTaxFuelTypeCodeCollection : List<string> { }

    /// <summary>
    /// Information related to entity's FTC details
    /// </summary>
    [DataContract(Name = "RPFTC", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPFTC
    {

        /// <summary>
        /// Fuel Tax Credits Effective Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public DateTime? FuelTaxRegistrationStartDate { get; set; }

        /// <summary>
        /// Fuel Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public FuelTaxFuelTypeCodeCollection FuelTaxFuelTypeCodeCollection { get; set; }

        /// <summary>
        /// Gross Vehicle Mass Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public bool? FuelTaxHeavyVehicleIndicator { get; set; }
    }

    /// <summary>
    /// Information related to entity's LCT details
    /// </summary>
    [DataContract(Name = "RPLCT", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPLCT
    {

        /// <summary>
        /// Luxury Car Tax Registration Required
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? LuxuryCarTaxRegistrationRequiredIndicator { get; set; }

        /// <summary>
        /// Main Luxury Car Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string LuxuryCarTaxActivityCode { get; set; }

        /// <summary>
        /// Annual Luxury Car Tax Liability Band
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string LuxuryCarTaxLiabilityRangeCode { get; set; }

        /// <summary>
        /// Luxury Car Tax Effective Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public DateTime? LuxuryCarTaxRegistrationStartDate { get; set; }

        /// <summary>
        /// Manufacturing Percent
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public decimal? LuxuryCarTaxManufacturingPercent { get; set; }

        /// <summary>
        /// Wholesale Percent
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public decimal? LuxuryCarTaxWholesalePercent { get; set; }

        /// <summary>
        /// Importing Percent
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public decimal? LuxuryCarTaxImportingPercent { get; set; }

        /// <summary>
        /// Retailing Percent
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public decimal? LuxuryCarTaxRetailingPercent { get; set; }

        /// <summary>
        /// Luxury Car Tax on every activity Statement
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public bool? LuxuryCarTaxActivityStatementRegistrationIndicator { get; set; }
    }

    /// <summary>
    /// Information related to entity's WET details
    /// </summary>
    [DataContract(Name = "RPWET", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPWET
    {

        /// <summary>
        /// Manufacturing Wine Equalisation Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? WineEqualisationTaxManufacturingIndicator { get; set; }

        /// <summary>
        /// Wholesale Wine Equalisation Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public bool? WineEqualisationTaxWholesaleIndicator { get; set; }

        /// <summary>
        /// Importing Wine Equalisation Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public bool? WineEqualisationTaxImportingIndicator { get; set; }

        /// <summary>
        /// Exporter Wine Equalisation Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public bool? WineEqualisationTaxExportingIndicator { get; set; }

        /// <summary>
        /// Indirect Marketer Retailer Wine Equalisation Tax Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public bool? WineEqualisationTaxIndirectMarketingRetailerIndicator { get; set; }

        /// <summary>
        /// Wine Percentage
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public decimal? WineEqualisationTaxWinePercent { get; set; }

        /// <summary>
        /// Beer Percentage
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public decimal? WineEqualisationTaxBeerPercent { get; set; }

        /// <summary>
        /// Spirit Percentage
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public decimal? WineEqualisationTaxSpiritPercent { get; set; }

        /// <summary>
        /// Other Percentage
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public decimal? WineEqualisationTaxOtherPercent { get; set; }

        /// <summary>
        /// Wine Equalisation Tax Effective Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public DateTime? WineEqualisationTaxRegistrationStartDate { get; set; }
    }

    /// <summary>
    /// Information related to entity's PAYGW details
    /// </summary>
    [DataContract(Name = "RPPAYGW", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPPAYGW
    {

        /// <summary>
        /// Required For PayG
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public bool? IncomeTaxPayAsYouGoWithholdingLegislationRequirementIndicator { get; set; }

        /// <summary>
        /// Pay As You Go Effective Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public DateTime? IncomeTaxPayAsYouGoWithholdingRegistrationStartDate { get; set; }

        /// <summary>
        /// Number of Employees
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public decimal? LabourStatisticsEmployeesCount { get; set; }

        /// <summary>
        /// Estimated Annual Amount Withheld
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public decimal? IncomeTaxPayAsYouGoWithholdingEstimatedTaxWithheldAmount { get; set; }

        /// <summary>
        /// Pay As You Go Reporting Method to Australian Tax Office
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string LodgmentChannelCode { get; set; }

        /// <summary>
        /// Payment Summary Provision Method
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string IncomeTaxPayAsYouGoWithholdingPaymentSummaryProvisionMethodCode { get; set; }

        /// <summary>
        /// Investment Body
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public bool? IncomeTaxPayAsYouGoWithholdingInvestmentBodyIndicator { get; set; }

        /// <summary>
        /// Are you required to register as an employer of working holiday makers?
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public bool EmployerConditionsWorkingHolidayMakerIndicator { get; set; }
    }

    /// <summary>
    /// Information related to entity's FBT details
    /// </summary>
    [DataContract(Name = "RPFBT", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPFBT
    {

        /// <summary>
        /// Business Activity Fringe Benefit Tax Start Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public DateTime? OrganisationDetailsOrganisationActivityStatusStartDate { get; set; }

        /// <summary>
        /// BSB Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string FinancialInstitutionAccountBankStateBranchNumber { get; set; }

        /// <summary>
        /// Account Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNumber { get; set; }

        /// <summary>
        /// Account Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNameText { get; set; }
    }

    /// <summary>
    /// Information related to the entity's declaration
    /// </summary>
    [DataContract(Name = "RPTrueAndCorrect", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPTrueAndCorrect
    {

        /// <summary>
        /// Declarer Contact Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string PersonUnstructuredNameFullNameText { get; set; }

        /// <summary>
        /// Declarer Position held of person making the declaration
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string PersonNameDetailsPositionText { get; set; }

        /// <summary>
        /// Declarer Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Declarer Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }

        /// <summary>
        /// Declarer Signature date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public DateTime? DeclarationSignatureDate { get; set; }

        /// <summary>
        /// Declarer Signature Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public bool? DeclarationStatementAcceptedIndicator { get; set; }

        /// <summary>
        /// Declarer Identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string DeclarationSignatoryIdentifierText { get; set; }
    }

    /// <summary>
    /// Information related to the entity's start question
    /// </summary>
    [DataContract(Name = "RPStart", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPStart
    {

        /// <summary>
        /// Start question identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string InteractionQuestionIdentifier { get; set; }
    }

    /// <summary>
    /// Information related to the entity's outcome question
    /// </summary>
    [DataContract(Name = "RPOutcome", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPOutcome
    {

        /// <summary>
        /// Outcome Identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string InteractionOutcomeQuestionIdentifier { get; set; }
    }

    /// <summary>
    /// Information related to the entity's financial institution details for Funds
    /// </summary>
    [DataContract(Name = "RPSuperannuation", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPSuperannuation
    {

        /// <summary>
        /// SMSF BSB Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string FinancialInstitutionAccountBankStateBranchNumber { get; set; }

        /// <summary>
        /// SMSF Account Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNumber { get; set; }

        /// <summary>
        /// SMSF Account Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNameText { get; set; }

        /// <summary>
        /// SMSF electronic service address
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string ElectronicContactElectronicServiceAddressAliasText { get; set; }
    }

    /// <summary>
    /// Information related to the entity's financial institution details for tax refund
    /// </summary>
    [DataContract(Name = "RPIncomeTaxRefund", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RPIncomeTaxRefund
    {

        /// <summary>
        /// BSB Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string FinancialInstitutionAccountBankStateBranchNumber { get; set; }

        /// <summary>
        /// Account Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNumber { get; set; }

        /// <summary>
        /// Account Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string FinancialInstitutionAccountFinancialInstitutionAccountNameText { get; set; }

    }

    /// <summary>
    /// Information related to the entity that the request is for
    /// </summary>
    [DataContract(Name = "RP", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class RP
    {

        /// <summary>
        /// Call Reference ID
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersCallReferenceIdentifier { get; set; }

        /// <summary>
        /// Call URL Address
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string ElectronicContactElectronicServiceAddressText { get; set; }

        /// <summary>
        /// Call Device Type Text
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string ElectronicContactDeviceTypeText { get; set; }

        /// <summary>
        /// Type of Operating System
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string SoftwareInformationOperatingSystemText { get; set; }

        /// <summary>
        /// Requester Reference ID
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string IdentifiersRequesterReferenceIdentifier { get; set; }

        /// <summary>
        /// Verification Request Count
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public decimal IdentificationDetailsVerificationRequestCount { get; set; }

        /// <summary>
        /// Tax Applicant Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public string PartyTypeCode { get; set; }

        /// <summary>
        /// Organisation Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public string OrganisationDetailsOrganisationTypeCode { get; set; }

        /// <summary>
        /// Organisation Sub Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string OrganisationDetailsAustralianBusinessRegisterEntityTypeCode { get; set; }

        /// <summary>
        /// Is Entitled
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 10)]
        public bool? InteractionABNEntitlementIndicator { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 11)]
        public EntitlementCollection EntitlementCollection { get; set; }

        /// <summary>
        /// Tax File Number Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 12)]
        public bool? IdentifiersTaxFileNumberInexistentIndicator { get; set; }

        /// <summary>
        /// Previous Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 13)]
        public string IdentifiersAustralianBusinessNumberIdentifier { get; set; }

        /// <summary>
        /// Apply For Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 14)]
        public bool? InteractionABNApplicationIndicator { get; set; }

        /// <summary>
        /// Apply For Tax File Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 15)]
        public bool? InteractionTFNApplicationIndicator { get; set; }

        /// <summary>
        /// Government Tier Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 16)]
        public string PartyGovernmentTierCode { get; set; }

        /// <summary>
        /// Non Profit Organisation Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 17)]
        public bool? OrganisationDetailsNotForProfitIndicator { get; set; }

        /// <summary>
        /// Exempt For Income Tax Purposes
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 18)]
        public bool? IncomeTaxExemptionIndicator { get; set; }

        /// <summary>
        /// Applicants Tax Agent Registration Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 19)]
        public string IdentifiersTaxAgentNumberIdentifier { get; set; }

        /// <summary>
        /// Number Of Defined Superannuation Benefit Members
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 20)]
        public decimal? SuperannuationFundDetailsDefinedBenefitRegisteredMemberAccountCount { get; set; }

        /// <summary>
        /// Type Of Superannuation Fund
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 21)]
        public string SuperannuationFundDetailsFundTypeCode { get; set; }

        /// <summary>
        /// Structure Of Superannuation Entity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 22)]
        public string SuperannuationFundDetailsFundBenefitStructureCode { get; set; }

        /// <summary>
        /// Resident Of Australia
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 23)]
        public bool? ResidencyTaxPurposesPersonStatusIndicator { get; set; }

        /// <summary>
        /// Australian Company Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 24)]
        public string IdentifiersAustralianCompanyNumberIdentifier { get; set; }

        /// <summary>
        /// Australian Registered Body Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 25)]
        public string IdentifiersAustralianRegisteredBodyNumberIdentifier { get; set; }

        /// <summary>
        /// Legal Organisation Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 26)]
        public string OrganisationNameDetailsOrganisationalNameText { get; set; }

        /// <summary>
        /// Date Of Birth
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 27)]
        public DateTime? PersonDemographicDetailsBirthDate { get; set; }

        /// <summary>
        /// Family Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 28)]
        public string PersonNameDetailsFamilyNameText { get; set; }

        /// <summary>
        /// Given Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 29)]
        public string PersonNameDetailsGivenNameText { get; set; }

        /// <summary>
        /// Other Given Names (Individual)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 30)]
        public string PersonNameDetailsOtherGivenNameText { get; set; }

        /// <summary>
        /// Title (Individual)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 31)]
        public string PersonNameDetailsTitleText { get; set; }

        /// <summary>
        /// Gender
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 32)]
        public string PersonDemographicDetailsSexCode { get; set; }

        /// <summary>
        /// Applicant Tax File Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 33)]
        public string IdentifiersTaxFileNumberIdentifier { get; set; }

        /// <summary>
        /// Agriculture Activity Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 34)]
        public bool? OrganisationDetailsAgricultureActivityIndicator { get; set; }

        /// <summary>
        /// Government Owned or Controlled Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 35)]
        public bool? OrganisationDetailsGovernmentControlledOwnedIndicator { get; set; }

        /// <summary>
        /// Search Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 36)]
        public string OrganisationDetailsMainIncomeActivityDescription { get; set; }

        /// <summary>
        /// Main Business Activity Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 37)]
        public string OrganisationDetailsMainIncomeActivityCode { get; set; }

        /// <summary>
        /// Expected End Date of Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 38)]
        public DateTime? OrganisationDetailsOrganisationActivityStatusEndDate { get; set; }

        /// <summary>
        /// Commencement Date of Activity
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 39)]
        public DateTime? OrganisationDetailsOrganisationActivityStatusStartDate { get; set; }

        /// <summary>
        /// Multiple Business Location Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 40)]
        public bool? OrganisationDetailsMultipleBusinessLocationIndicator { get; set; }

        /// <summary>
        /// Phone Number of business Type
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 41)]
        public string ElectronicContactTelephoneServiceLineCode { get; set; }

        /// <summary>
        /// Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 42)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 43)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 44)]
        public AdditionalBusinessLocationCollection AdditionalBusinessLocationCollection { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 45)]
        public AuthorisedContactCollection AuthorisedContactCollection { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 46)]
        public AssociateIndividualCollection AssociateIndividualCollection { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 47)]
        public AssociateOrganisationCollection AssociateOrganisationCollection { get; set; }

        /// <summary>
        /// Self Managed Superannuation Fund Representative Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 48)]
        public bool? OrganisationDetailsRegisteredLegalEntityIndicator { get; set; }

        /// <summary>
        /// Reason For Australian Business Number Application
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 49)]
        public string InteractionABNApplicationReasonCode { get; set; }

        /// <summary>
        /// First Time Business For Directors Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 50)]
        public bool? PersonDemographicDetailsFirstTimeDirectorIndicator { get; set; }

        /// <summary>
        /// First Time Contractor Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 51)]
        public bool? PersonDemographicDetailsFirstTimeContractorIndicator { get; set; }

        /// <summary>
        /// First Time Self Employed
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 52)]
        public bool? PersonDemographicDetailsFirstTimeSelfEmployedIndicator { get; set; }

        /// <summary>
        /// Corporation Pursuant To Requirement In Governing Rules Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 53)]
        public bool? PersonDemographicDetailsGoverningRulesIndicator { get; set; }

        /// <summary>
        /// Election Date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 54)]
        public DateTime? SuperannuationRegulatoryInformationElectionDate { get; set; }

        /// <summary>
        /// Age Pension Fund Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 55)]
        public bool? SuperannuationFundDetailsAgePensionFundIndicator { get; set; }

        /// <summary>
        /// Liquidator Appointed Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 56)]
        public bool? OrganisationDetailsLiquidatorAppointedIndicator { get; set; }

        /// <summary>
        /// Officer of Body Corporate AD is disqualified Person Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 57)]
        public bool? OrganisationDetailsDisqualifiedOfficerIndicator { get; set; }

        /// <summary>
        /// Receiver Appointed Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 58)]
        public bool? OrganisationDetailsReceiverAppointedIndicator { get; set; }

        /// <summary>
        /// Self Managed Superannuation Fund for Twelve Months or Longer Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 59)]
        public bool? SuperannuationFundDetailsSelfManagedSuperannuationFundActivityIndicator { get; set; }

        /// <summary>
        /// Trustees Bankrupt Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 60)]
        public bool? SuperannuationFundDetailsSelfManagedSuperannuationFundTrusteesBankruptIndicator { get; set; }

        /// <summary>
        /// Trustees Civil Penalty Order Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 61)]
        public bool? OrganisationDetailsCivilPenaltyOrderIndicator { get; set; }

        /// <summary>
        /// Trustees Convicted of Offense Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 62)]
        public bool? OrganisationDetailsConvictionIndicator { get; set; }

        /// <summary>
        /// Trustees Disqualified By Australian Prudential Regulation Authority
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 63)]
        public bool? SuperannuationRegulatoryInformationDisqualifiedTrusteesOrDirectorsIndicator { get; set; }

        /// <summary>
        /// Company Being Wound Up Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 64)]
        public bool? OrganisationDetailsOperationCeaseIndicator { get; set; }

        /// <summary>
        /// Company Under Official Management Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 65)]
        public bool? OrganisationControlCompanyOfficialManagementIndicator { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 66)]
        public RPUltimateHoldingCompany UltimateHoldingCompany { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 67)]
        public RPAddressDetailsBusiness AddressDetailsBusiness { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 68)]
        public RPCorrespondence Correspondence { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 69)]
        public RPElectronicContactElectronicMailBusiness ElectronicContactElectronicMailBusiness { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 70)]
        public RPAddressDetailsPostal AddressDetailsPostal { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 71)]
        public RPAUSkey AUSkey { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 72)]
        public RPPrevious Previous { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 73)]
        public RPBusinessPrev BusinessPrev { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 74)]
        public RPGST GST { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 75)]
        public RPFTC FTC { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 76)]
        public RPLCT LCT { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 77)]
        public RPWET WET { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 78)]
        public RPPAYGW PAYGW { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 79)]
        public RPFBT FBT { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 80)]
        public RPTrueAndCorrect TrueAndCorrect { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 81)]
        public RPStart Start { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 82)]
        public RPOutcome Outcome { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 83)]
        public RPSuperannuation Superannuation { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 84)]
        public RPIncomeTaxRefund IncomeTaxRefund { get; set; }
    }

    /// <summary>
    /// Information related to the intermediary acting on behalf of the entity 's declaration
    /// </summary>
    [DataContract(Name = "INTTrueAndCorrect", Namespace = "http://www.sbr.gov.au/ato/abnregrequest")]
    public class INTTrueAndCorrect
    {

        /// <summary>
        /// Declarer Australian business number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string IdentifiersAustralianBusinessNumberIdentifier { get; set; }

        /// <summary>
        /// Declarer Contact Name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string PersonUnstructuredNameFullNameText { get; set; }

        /// <summary>
        /// Declarer Position held of person making the declaration
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string PersonNameDetailsPositionText { get; set; }

        /// <summary>
        /// Declarer Telephone Area Code
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 4)]
        public string ElectronicContactTelephoneAreaCode { get; set; }

        /// <summary>
        /// Declarer Telephone Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 5)]
        public string ElectronicContactTelephoneMinimalNumber { get; set; }

        /// <summary>
        /// Declarer Tax Agent number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 6)]
        public string IdentifiersTaxAgentNumberIdentifier { get; set; }

        /// <summary>
        /// Declarer Signature date
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 7)]
        public DateTime? DeclarationSignatureDate { get; set; }

        /// <summary>
        /// Declarer Signature Indicator
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 8)]
        public bool? DeclarationStatementAcceptedIndicator { get; set; }

        /// <summary>
        /// Declarer Identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 9)]
        public string DeclarationSignatoryIdentifierText { get; set; }
    }
}
