using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationABNREG
{
    public class ABNREGREQUEST2019
    {

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierA = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:pyid.02.12:Identifiers.CallReference.Identifier
        /// </summary>
        public string ABNREG1 = null;

        /// <summary>
        /// RP:pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text
        /// </summary>
        public string ABNREG3 = null;

        /// <summary>
        /// RP:pyde.02.26:ElectronicContact.DeviceType.Text
        /// </summary>
        public string ABNREG4 = null;

        /// <summary>
        /// RP:pyin.02.32:SoftwareInformation.OperatingSystem.Text
        /// </summary>
        public string ABNREG5 = null;

        /// <summary>
        /// RP:pyid.02.14:Identifiers.RequesterReference.Identifier
        /// </summary>
        public string ABNREG6 = null;

        /// <summary>
        /// RP:pyid.02.12:IdentificationDetails.VerificationRequest.Count
        /// </summary>
        public decimal? ABNREG195 = null;

        /// <summary>
        /// RP:pyde.02.21:Party.Type.Code
        /// </summary>
        public string ABNREG7 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.OrganisationType.Code
        /// </summary>
        public string ABNREG8 = null;

        /// <summary>
        /// RP:pyde.02.43:OrganisationDetails.AustralianBusinessRegisterEntityType.Code
        /// </summary>
        public string ABNREG9 = null;

        /// <summary>
        /// RP:pyin.02.32:Interaction.ABNEntitlement.Indicator
        /// </summary>
        public bool? ABNREG15 = null;

        public bool EntitlementCollectionExists = false;
        public int EntitlementCollectionCount = 0;

        public List<Entitlement> EntitlementCollection = null;

        public class Entitlement
        {
            public int OccurrenceIndex = 0;

            public bool Entitlement_EntitlementQuestionCollectionExists = false;
            public int Entitlement_EntitlementQuestionCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:Entitlement/:EntitlementQuestion
            /// RP:pyin.02.32:Interaction.Question.Identifier
            /// </summary>
            public string ABNREG11 = null;

            /// <summary>
            /// /xbrli:xbrl/:Entitlement
            /// RP:pyin.02.32:Interaction.OptionQuestion.Identifier
            /// </summary>
            public string ABNREG12 = null;

            public bool Entitlement_EntitlementNextQuestionCollectionExists = false;
            public int Entitlement_EntitlementNextQuestionCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:Entitlement/:EntitlementNextQuestion
            /// RP:pyin.02.32:Interaction.Question.Identifier
            /// </summary>
            public string ABNREG13 = null;
        }

        /// <summary>
        /// RP:pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator
        /// </summary>
        public bool? ABNREG16 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string ABNREG17 = null;

        /// <summary>
        /// RP:pyin.02.32:Interaction.ABNApplication.Indicator
        /// </summary>
        public bool? ABNREG18 = null;

        /// <summary>
        /// RP:pyin.02.32:Interaction.TFNApplication.Indicator
        /// </summary>
        public bool? ABNREG19 = null;

        /// <summary>
        /// RP:pyde.02.26:Party.GovernmentTier.Code
        /// </summary>
        public string ABNREG213 = null;

        /// <summary>
        /// RP:pyde.02.23:OrganisationDetails.NotForProfit.Indicator
        /// </summary>
        public bool? ABNREG21 = null;

        /// <summary>
        /// RP:rvctc1.02.23:IncomeTax.Exemption.Indicator
        /// </summary>
        public bool? ABNREG22 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string ABNREG23 = null;

        /// <summary>
        /// RP:emsup.02.16:SuperannuationFundDetails.DefinedBenefitRegisteredMemberAccount.Count
        /// </summary>
        public decimal? ABNREG25 = null;

        /// <summary>
        /// RP:emsup.02.26:SuperannuationFundDetails.FundType.Code
        /// </summary>
        public string ABNREG26 = null;

        /// <summary>
        /// RP:emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code
        /// </summary>
        public string ABNREG27 = null;

        /// <summary>
        /// RP:pyde.02.25:Residency.TaxPurposesPersonStatus.Indicator
        /// </summary>
        public bool? ABNREG28 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier
        /// </summary>
        public string ABNREG29 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier
        /// </summary>
        public string ABNREG30 = null;

        /// <summary>
        /// RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string ABNREG31 = null;

        /// <summary>
        /// RP:pyde.02.00:PersonDemographicDetails.Birth.Date
        /// </summary>
        public DateTime? ABNREG34 = null;

        /// <summary>
        /// RP:pyde.02.00:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string ABNREG35 = null;

        /// <summary>
        /// RP:pyde.02.00:PersonNameDetails.GivenName.Text
        /// </summary>
        public string ABNREG36 = null;

        /// <summary>
        /// RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string ABNREG37 = null;

        /// <summary>
        /// RP:pyde.02.00:PersonNameDetails.Title.Text
        /// </summary>
        public string ABNREG38 = null;

        /// <summary>
        /// RP:pyde.02.18:PersonDemographicDetails.Sex.Code
        /// </summary>
        public string ABNREG39 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string ABNREG40 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.AgricultureActivity.Indicator
        /// </summary>
        public bool? ABNREG41 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.GovernmentControlledOwned.Indicator
        /// </summary>
        public bool? ABNREG42 = null;

        /// <summary>
        /// RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string ABNREG43 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.MainIncomeActivity.Code
        /// </summary>
        public string ABNREG44 = null;

        /// <summary>
        /// RP:pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date
        /// </summary>
        public DateTime? ABNREG45 = null;

        /// <summary>
        /// RP:pyde.02.00:OrganisationDetails.OrganisationActivityStatusStart.Date
        /// </summary>
        public DateTime? ABNREG46 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.MultipleBusinessLocation.Indicator
        /// </summary>
        public bool? ABNREG47 = null;

        /// <summary>
        /// RP:pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string ABNREG57 = null;

        /// <summary>
        /// RP:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string ABNREG217 = null;

        /// <summary>
        /// RP:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string ABNREG58 = null;

        public bool AdditionalBusinessLocationCollectionExists = false;
        public int AdditionalBusinessLocationCollectionCount = 0;

        public List<AdditionalBusinessLocation> AdditionalBusinessLocationCollection = null;

        public class AdditionalBusinessLocation
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.29:OrganisationDetails.MainBusinessActivity.Indicator
            /// </summary>
            public bool? ABNREG225 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
            /// </summary>
            public string ABNREG66 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.26:OrganisationDetails.MainIncomeActivity.Code
            /// </summary>
            public string ABNREG67 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:AddressDetails.Line1.Text
            /// </summary>
            public string ABNREG68 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:AddressDetails.Line2.Text
            /// </summary>
            public string ABNREG69 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.08:AddressDetails.Country.Code
            /// </summary>
            public string ABNREG70 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:AddressDetails.Postcode.Text
            /// </summary>
            public string ABNREG71 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string ABNREG72 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:AddressDetails.LocalityName.Text
            /// </summary>
            public string ABNREG73 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
            /// </summary>
            public string ABNREG75 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code
            /// </summary>
            public string ABNREG76 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:ElectronicContact.Telephone.Area.Code
            /// </summary>
            public string ABNREG218 = null;

            /// <summary>
            /// /xbrli:xbrl/:AdditionalBusinessLocation
            /// RP:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
            /// </summary>
            public string ABNREG77 = null;
        }

        public bool AuthorisedContactCollectionExists = false;
        public int AuthorisedContactCollectionCount = 0;

        public List<AuthorisedContact> AuthorisedContactCollection = null;

        public class AuthorisedContact
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:PersonNameDetails.Title.Text
            /// </summary>
            public string ABNREG78 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:PersonNameDetails.GivenName.Text
            /// </summary>
            public string ABNREG79 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string ABNREG80 = null;

            public bool AuthorisedContact_AfterhoursContactTelephoneCollectionExists = false;
            public int AuthorisedContact_AfterhoursContactTelephoneCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact/:AfterhoursContactTelephone
            /// RP:pyde.02.00:ElectronicContact.Telephone.Area.Code
            /// </summary>
            public string ABNREG219 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact/:AfterhoursContactTelephone
            /// RP:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
            /// </summary>
            public string ABNREG81 = null;

            public bool AuthorisedContact_BusinessHoursContactTelephoneCollectionExists = false;
            public int AuthorisedContact_BusinessHoursContactTelephoneCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact/:BusinessHoursContactTelephone
            /// RP:pyde.02.00:ElectronicContact.Telephone.Area.Code
            /// </summary>
            public string ABNREG220 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact/:BusinessHoursContactTelephone
            /// RP:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
            /// </summary>
            public string ABNREG82 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
            /// </summary>
            public string ABNREG83 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:ElectronicContact.Facsimile.Area.Code
            /// </summary>
            public string ABNREG224 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.00:ElectronicContact.Facsimile.Minimal.Number
            /// </summary>
            public string ABNREG84 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.21:ElectronicContact.Telephone.Mobile.Number
            /// </summary>
            public string ABNREG85 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.26:PersonDemographicDetails.LanguagePreferred.Code
            /// </summary>
            public string ABNREG86 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.42:PersonDemographicDetails.LanguagePreferredOther.Description
            /// </summary>
            public string ABNREG87 = null;

            /// <summary>
            /// /xbrli:xbrl/:AuthorisedContact
            /// RP:pyde.02.18:PersonNameDetails.Position.Text
            /// </summary>
            public string ABNREG88 = null;
        }

        public bool AssociateIndividualCollectionExists = false;
        public int AssociateIndividualCollectionCount = 0;

        public List<AssociateIndividual> AssociateIndividualCollection = null;

        public class AssociateIndividual
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:PersonDemographicDetails.Birth.Date
            /// </summary>
            public DateTime? ABNREG89 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string ABNREG90 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:PersonNameDetails.GivenName.Text
            /// </summary>
            public string ABNREG91 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string ABNREG92 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:PersonNameDetails.Title.Text
            /// </summary>
            public string ABNREG93 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.18:PersonDemographicDetails.Sex.Code
            /// </summary>
            public string ABNREG94 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.18:PersonNameDetails.Position.Text
            /// </summary>
            public List<string> ABNREG95Collection = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string ABNREG96 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:AddressDetails.Line1.Text
            /// </summary>
            public string ABNREG97 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:AddressDetails.Line2.Text
            /// </summary>
            public string ABNREG98 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:AddressDetails.LocalityName.Text
            /// </summary>
            public string ABNREG99 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:AddressDetails.Postcode.Text
            /// </summary>
            public string ABNREG100 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.00:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string ABNREG101 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateIndividual
            /// RP:pyde.02.08:AddressDetails.Country.Code
            /// </summary>
            public string ABNREG102 = null;
        }

        public bool AssociateOrganisationCollectionExists = false;
        public int AssociateOrganisationCollectionCount = 0;

        public List<AssociateOrganisation> AssociateOrganisationCollection = null;

        public class AssociateOrganisation
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier
            /// </summary>
            public string ABNREG106 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier
            /// </summary>
            public string ABNREG107 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string ABNREG108 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            /// </summary>
            public string ABNREG109 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.18:PersonNameDetails.Position.Text
            /// </summary>
            public List<string> ABNREG110Collection = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string ABNREG111 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyin.02.00:Period.Start.Date
            /// </summary>
            public DateTime? ABNREG112 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:AddressDetails.Line1.Text
            /// </summary>
            public string ABNREG113 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:AddressDetails.Line2.Text
            /// </summary>
            public string ABNREG114 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:AddressDetails.LocalityName.Text
            /// </summary>
            public string ABNREG115 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:AddressDetails.Postcode.Text
            /// </summary>
            public string ABNREG116 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.00:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string ABNREG117 = null;

            /// <summary>
            /// /xbrli:xbrl/:AssociateOrganisation
            /// RP:pyde.02.08:AddressDetails.Country.Code
            /// </summary>
            public string ABNREG118 = null;
        }

        /// <summary>
        /// RP:pyde.02.00:OrganisationDetails.RegisteredLegalEntity.Indicator
        /// </summary>
        public bool? ABNREG119 = null;

        /// <summary>
        /// RP:pyin.02.32:Interaction.ABNApplicationReason.Code
        /// </summary>
        public string ABNREG120 = null;

        /// <summary>
        /// RP:pyde.02.26:PersonDemographicDetails.FirstTimeDirector.Indicator
        /// </summary>
        public bool? ABNREG123 = null;

        /// <summary>
        /// RP:pyde.02.26:PersonDemographicDetails.FirstTimeContractor.Indicator
        /// </summary>
        public bool? ABNREG124 = null;

        /// <summary>
        /// RP:pyde.02.26:PersonDemographicDetails.FirstTimeSelfEmployed.Indicator
        /// </summary>
        public bool? ABNREG125 = null;

        /// <summary>
        /// RP:pyde.02.26:PersonDemographicDetails.GoverningRules.Indicator
        /// </summary>
        public bool? ABNREG126 = null;

        /// <summary>
        /// RP:emsup.02.26:SuperannuationRegulatoryInformation.Election.Date
        /// </summary>
        public DateTime? ABNREG127 = null;

        /// <summary>
        /// RP:emsup.02.26:SuperannuationFundDetails.AgePensionFund.Indicator
        /// </summary>
        public bool? ABNREG128 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.LiquidatorAppointed.Indicator
        /// </summary>
        public bool? ABNREG129 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.DisqualifiedOfficer.Indicator
        /// </summary>
        public bool? ABNREG130 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.ReceiverAppointed.Indicator
        /// </summary>
        public bool? ABNREG131 = null;

        /// <summary>
        /// RP:emsup.02.26:SuperannuationFundDetails.SelfManagedSuperannuationFundActivity.Indicator
        /// </summary>
        public bool? ABNREG132 = null;

        /// <summary>
        /// RP:emsup.02.26:SuperannuationFundDetails.SelfManagedSuperannuationFundTrusteesBankrupt.Indicator
        /// </summary>
        public bool? ABNREG133 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.CivilPenaltyOrder.Indicator
        /// </summary>
        public bool? ABNREG134 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationDetails.Conviction.Indicator
        /// </summary>
        public bool? ABNREG135 = null;

        /// <summary>
        /// RP:emsup.02.00:SuperannuationRegulatoryInformation.DisqualifiedTrusteesOrDirectors.Indicator
        /// </summary>
        public bool? ABNREG136 = null;

        /// <summary>
        /// RP:pyde.02.05:OrganisationDetails.OperationCease.Indicator
        /// </summary>
        public bool? ABNREG137 = null;

        /// <summary>
        /// RP:pyde.02.26:OrganisationControl.CompanyOfficialManagement.Indicator
        /// </summary>
        public bool? ABNREG138 = null;

        public string RPUltimateHoldingCompanyId = null;
        public bool RPUltimateHoldingCompanyExists = false;
        public int RPUltimateHoldingCompanyCount = 0;
        public int RPUltimateHoldingCompanyOccurrenceIndex = 0;
        public int RPUltimateHoldingCompanyLastOccurrenceIndex = 0;
        public string RPUltimateHoldingCompanyIdentifier = null;
        public string RPUltimateHoldingCompanyIdentifierScheme = null;
        public string RPUltimateHoldingCompanyIdentifierA = null;
        public DateTime? RPUltimateHoldingCompanyStartDate = null;
        public DateTime? RPUltimateHoldingCompanyEndDate = null;

        /// <summary>
        /// RPUltimateHoldingCompany:pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier
        /// </summary>
        public string ABNREG32 = null;

        /// <summary>
        /// RPUltimateHoldingCompany:pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier
        /// </summary>
        public string ABNREG33 = null;

        public string RPAddressDetailsBUSId = null;
        public bool RPAddressDetailsBUSExists = false;
        public int RPAddressDetailsBUSCount = 0;
        public int RPAddressDetailsBUSOccurrenceIndex = 0;
        public int RPAddressDetailsBUSLastOccurrenceIndex = 0;
        public string RPAddressDetailsBUSIdentifier = null;
        public string RPAddressDetailsBUSIdentifierScheme = null;
        public string RPAddressDetailsBUSIdentifierA = null;
        public DateTime? RPAddressDetailsBUSStartDate = null;
        public DateTime? RPAddressDetailsBUSEndDate = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.29:OrganisationDetails.MainBusinessActivity.Indicator
        /// </summary>
        public bool? ABNREG214 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string ABNREG215 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.26:OrganisationDetails.MainIncomeActivity.Code
        /// </summary>
        public string ABNREG216 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.00:AddressDetails.Line1.Text
        /// </summary>
        public string ABNREG48 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.00:AddressDetails.Line2.Text
        /// </summary>
        public string ABNREG49 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.08:AddressDetails.Country.Code
        /// </summary>
        public string ABNREG50 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.00:AddressDetails.Postcode.Text
        /// </summary>
        public string ABNREG51 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.00:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string ABNREG52 = null;

        /// <summary>
        /// RPAddressDetailsBUS:pyde.02.00:AddressDetails.LocalityName.Text
        /// </summary>
        public string ABNREG53 = null;

        public string RPCorrespondenceId = null;
        public bool RPCorrespondenceExists = false;
        public int RPCorrespondenceCount = 0;
        public int RPCorrespondenceOccurrenceIndex = 0;
        public int RPCorrespondenceLastOccurrenceIndex = 0;
        public string RPCorrespondenceIdentifier = null;
        public string RPCorrespondenceIdentifierScheme = null;
        public string RPCorrespondenceIdentifierA = null;
        public DateTime? RPCorrespondenceStartDate = null;
        public DateTime? RPCorrespondenceEndDate = null;

        /// <summary>
        /// RPCorrespondence:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string ABNREG55 = null;

        public string RPElectronicContactElectronicMailBUSId = null;
        public bool RPElectronicContactElectronicMailBUSExists = false;
        public int RPElectronicContactElectronicMailBUSCount = 0;
        public int RPElectronicContactElectronicMailBUSOccurrenceIndex = 0;
        public int RPElectronicContactElectronicMailBUSLastOccurrenceIndex = 0;
        public string RPElectronicContactElectronicMailBUSIdentifier = null;
        public string RPElectronicContactElectronicMailBUSIdentifierScheme = null;
        public string RPElectronicContactElectronicMailBUSIdentifierA = null;
        public DateTime? RPElectronicContactElectronicMailBUSStartDate = null;
        public DateTime? RPElectronicContactElectronicMailBUSEndDate = null;

        /// <summary>
        /// RPElectronicContactElectronicMailBUS:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string ABNREG56 = null;

        public string RPAddressDetailsPOSId = null;
        public bool RPAddressDetailsPOSExists = false;
        public int RPAddressDetailsPOSCount = 0;
        public int RPAddressDetailsPOSOccurrenceIndex = 0;
        public int RPAddressDetailsPOSLastOccurrenceIndex = 0;
        public string RPAddressDetailsPOSIdentifier = null;
        public string RPAddressDetailsPOSIdentifierScheme = null;
        public string RPAddressDetailsPOSIdentifierA = null;
        public DateTime? RPAddressDetailsPOSStartDate = null;
        public DateTime? RPAddressDetailsPOSEndDate = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.00:AddressDetails.Line1.Text
        /// </summary>
        public string ABNREG59 = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.00:AddressDetails.Line2.Text
        /// </summary>
        public string ABNREG60 = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.08:AddressDetails.Country.Code
        /// </summary>
        public string ABNREG61 = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.00:AddressDetails.Postcode.Text
        /// </summary>
        public string ABNREG62 = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.00:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string ABNREG63 = null;

        /// <summary>
        /// RPAddressDetailsPOS:pyde.02.00:AddressDetails.LocalityName.Text
        /// </summary>
        public string ABNREG64 = null;

        public string RPAUSkeyId = null;
        public bool RPAUSkeyExists = false;
        public int RPAUSkeyCount = 0;
        public int RPAUSkeyOccurrenceIndex = 0;
        public int RPAUSkeyLastOccurrenceIndex = 0;
        public string RPAUSkeyIdentifier = null;
        public string RPAUSkeyIdentifierScheme = null;
        public string RPAUSkeyIdentifierA = null;
        public DateTime? RPAUSkeyStartDate = null;
        public DateTime? RPAUSkeyEndDate = null;

        /// <summary>
        /// RPAUSkey:pyin.02.32:Interaction.AUSKeyApplication.Indicator
        /// </summary>
        public bool? ABNREG103 = null;

        /// <summary>
        /// RPAUSkey:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string ABNREG104 = null;

        /// <summary>
        /// RPAUSkey:pyde.02.00:ElectronicContact.Telephone.Country.Code
        /// </summary>
        public string ABNREG205 = null;

        /// <summary>
        /// RPAUSkey:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string ABNREG221 = null;

        /// <summary>
        /// RPAUSkey:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string ABNREG105 = null;

        public string RPPreviousId = null;
        public bool RPPreviousExists = false;
        public int RPPreviousCount = 0;
        public int RPPreviousOccurrenceIndex = 0;
        public int RPPreviousLastOccurrenceIndex = 0;
        public string RPPreviousIdentifier = null;
        public string RPPreviousIdentifierScheme = null;
        public string RPPreviousIdentifierA = null;
        public DateTime? RPPreviousStartDate = null;
        public DateTime? RPPreviousEndDate = null;

        /// <summary>
        /// RPPrevious:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string ABNREG121 = null;

        public string RPBusinessPrevId = null;
        public bool RPBusinessPrevExists = false;
        public int RPBusinessPrevCount = 0;
        public int RPBusinessPrevOccurrenceIndex = 0;
        public int RPBusinessPrevLastOccurrenceIndex = 0;
        public string RPBusinessPrevIdentifier = null;
        public string RPBusinessPrevIdentifierScheme = null;
        public string RPBusinessPrevIdentifierA = null;
        public DateTime? RPBusinessPrevStartDate = null;
        public DateTime? RPBusinessPrevEndDate = null;

        /// <summary>
        /// RPBusinessPrev:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string ABNREG122 = null;

        public string RPGSTId = null;
        public bool RPGSTExists = false;
        public int RPGSTCount = 0;
        public int RPGSTOccurrenceIndex = 0;
        public int RPGSTLastOccurrenceIndex = 0;
        public string RPGSTIdentifier = null;
        public string RPGSTIdentifierScheme = null;
        public string RPGSTIdentifierA = null;
        public DateTime? RPGSTStartDate = null;
        public DateTime? RPGSTEndDate = null;

        /// <summary>
        /// RPGST:rvctc3.02.20:GoodsAndServicesTax.RegistrationReason.Code
        /// </summary>
        public string ABNREG139 = null;

        /// <summary>
        /// RPGST:rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date
        /// </summary>
        public DateTime? ABNREG140 = null;

        /// <summary>
        /// RPGST:rvctc3.02.35:GoodsAndServicesTax.TurnoverRange.Code
        /// </summary>
        public string ABNREG141 = null;

        /// <summary>
        /// RPGST:pyin.02.42:Lodgment.Frequency.Code
        /// </summary>
        public string ABNREG142 = null;

        /// <summary>
        /// RPGST:bafot.02.00:AccountingPolicies.CashAccountingMethodUsed.Indicator
        /// </summary>
        public bool? ABNREG143 = null;

        /// <summary>
        /// RPGST:rvctc3.02.20:GoodsAndServicesTax.Import.Indicator
        /// </summary>
        public bool? ABNREG144 = null;

        /// <summary>
        /// RPGST:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string ABNREG145 = null;

        /// <summary>
        /// RPGST:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string ABNREG146 = null;

        /// <summary>
        /// RPGST:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string ABNREG147 = null;

        /// <summary>
        /// RPGST:pyid.02.08:FinancialInstitutionAccount.HolderType.Code
        /// </summary>
        public string ABNREG148 = null;

        public string RPFTCId = null;
        public bool RPFTCExists = false;
        public int RPFTCCount = 0;
        public int RPFTCOccurrenceIndex = 0;
        public int RPFTCLastOccurrenceIndex = 0;
        public string RPFTCIdentifier = null;
        public string RPFTCIdentifierScheme = null;
        public string RPFTCIdentifierA = null;
        public DateTime? RPFTCStartDate = null;
        public DateTime? RPFTCEndDate = null;

        /// <summary>
        /// RPFTC:rvctc3.02.20:FuelTax.RegistrationStart.Date
        /// </summary>
        public DateTime? ABNREG149 = null;

        /// <summary>
        /// RPFTC:rvctc3.02.20:FuelTax.FuelType.Code
        /// </summary>
        public List<string> ABNREG150Collection = null;

        /// <summary>
        /// RPFTC:rvctc3.02.20:FuelTax.HeavyVehicle.Indicator
        /// </summary>
        public bool? ABNREG151 = null;

        public string RPLCTId = null;
        public bool RPLCTExists = false;
        public int RPLCTCount = 0;
        public int RPLCTOccurrenceIndex = 0;
        public int RPLCTLastOccurrenceIndex = 0;
        public string RPLCTIdentifier = null;
        public string RPLCTIdentifierScheme = null;
        public string RPLCTIdentifierA = null;
        public DateTime? RPLCTStartDate = null;
        public DateTime? RPLCTEndDate = null;

        /// <summary>
        /// RPLCT:rvctc3.02.28:LuxuryCarTax.RegistrationRequired.Indicator
        /// </summary>
        public bool? ABNREG193 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.Activity.Code
        /// </summary>
        public string ABNREG152 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.LiabilityRange.Code
        /// </summary>
        public string ABNREG153 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date
        /// </summary>
        public DateTime? ABNREG154 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent
        /// </summary>
        public decimal? ABNREG155 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.Wholesale.Percent
        /// </summary>
        public decimal? ABNREG156 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.Importing.Percent
        /// </summary>
        public decimal? ABNREG157 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.Retailing.Percent
        /// </summary>
        public decimal? ABNREG158 = null;

        /// <summary>
        /// RPLCT:rvctc3.02.20:LuxuryCarTax.ActivityStatementRegistration.Indicator
        /// </summary>
        public bool? ABNREG159 = null;

        public string RPWETId = null;
        public bool RPWETExists = false;
        public int RPWETCount = 0;
        public int RPWETOccurrenceIndex = 0;
        public int RPWETLastOccurrenceIndex = 0;
        public string RPWETIdentifier = null;
        public string RPWETIdentifierScheme = null;
        public string RPWETIdentifierA = null;
        public DateTime? RPWETStartDate = null;
        public DateTime? RPWETEndDate = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Manufacturing.Indicator
        /// </summary>
        public bool? ABNREG160 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Wholesale.Indicator
        /// </summary>
        public bool? ABNREG161 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Importing.Indicator
        /// </summary>
        public bool? ABNREG162 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Exporting.Indicator
        /// </summary>
        public bool? ABNREG163 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.IndirectMarketingRetailer.Indicator
        /// </summary>
        public bool? ABNREG164 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Wine.Percent
        /// </summary>
        public decimal? ABNREG165 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Beer.Percent
        /// </summary>
        public decimal? ABNREG166 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Spirit.Percent
        /// </summary>
        public decimal? ABNREG167 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.Other.Percent
        /// </summary>
        public decimal? ABNREG168 = null;

        /// <summary>
        /// RPWET:rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date
        /// </summary>
        public DateTime? ABNREG169 = null;

        public string RPPAYGWId = null;
        public bool RPPAYGWExists = false;
        public int RPPAYGWCount = 0;
        public int RPPAYGWOccurrenceIndex = 0;
        public int RPPAYGWLastOccurrenceIndex = 0;
        public string RPPAYGWIdentifier = null;
        public string RPPAYGWIdentifierScheme = null;
        public string RPPAYGWIdentifierA = null;
        public DateTime? RPPAYGWStartDate = null;
        public DateTime? RPPAYGWEndDate = null;

        /// <summary>
        /// RPPAYGW:rvctc2.02.31:IncomeTax.PayAsYouGoWithholding.LegislationRequirement.Indicator
        /// </summary>
        public bool? ABNREG170 = null;

        /// <summary>
        /// RPPAYGW:rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
        /// </summary>
        public DateTime? ABNREG171 = null;

        /// <summary>
        /// RPPAYGW:lrla.02.10:LabourStatistics.Employees.Count
        /// </summary>
        public decimal? ABNREG172 = null;

        /// <summary>
        /// RPPAYGW:rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount
        /// </summary>
        public decimal? ABNREG173 = null;

        /// <summary>
        /// RPPAYGW:pyin.02.36:Lodgment.Channel.Code
        /// </summary>
        public string ABNREG174 = null;

        /// <summary>
        /// RPPAYGW:rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code
        /// </summary>
        public string ABNREG175 = null;

        /// <summary>
        /// RPPAYGW:rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator
        /// </summary>
        public bool? ABNREG176 = null;

        /// <summary>
        /// RPPAYGW:lrla.02.21:EmployerConditions.WorkingHolidayMaker.Indicator
        /// </summary>
        public bool? ABNREG230 = null;

        public string RPFBTId = null;
        public bool RPFBTExists = false;
        public int RPFBTCount = 0;
        public int RPFBTOccurrenceIndex = 0;
        public int RPFBTLastOccurrenceIndex = 0;
        public string RPFBTIdentifier = null;
        public string RPFBTIdentifierScheme = null;
        public string RPFBTIdentifierA = null;
        public DateTime? RPFBTStartDate = null;
        public DateTime? RPFBTEndDate = null;

        /// <summary>
        /// RPFBT:pyde.02.00:OrganisationDetails.OrganisationActivityStatusStart.Date
        /// </summary>
        public DateTime? ABNREG177 = null;

        /// <summary>
        /// RPFBT:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string ABNREG192 = null;

        /// <summary>
        /// RPFBT:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string ABNREG196 = null;

        /// <summary>
        /// RPFBT:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string ABNREG194 = null;

        public string RPTrueAndCorrectId = null;
        public bool RPTrueAndCorrectExists = false;
        public int RPTrueAndCorrectCount = 0;
        public int RPTrueAndCorrectOccurrenceIndex = 0;
        public int RPTrueAndCorrectLastOccurrenceIndex = 0;
        public string RPTrueAndCorrectIdentifier = null;
        public string RPTrueAndCorrectIdentifierScheme = null;
        public string RPTrueAndCorrectIdentifierA = null;
        public DateTime? RPTrueAndCorrectStartDate = null;
        public DateTime? RPTrueAndCorrectEndDate = null;

        /// <summary>
        /// RPTrueAndCorrect:pyde.02.00:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string ABNREG178 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyde.02.18:PersonNameDetails.Position.Text
        /// </summary>
        public string ABNREG179 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string ABNREG222 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string ABNREG180 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyin.02.29:Declaration.Signature.Date
        /// </summary>
        public DateTime? ABNREG181 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyin.02.28:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? ABNREG182 = null;

        /// <summary>
        /// RPTrueAndCorrect:pyin.02.00:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string ABNREG183 = null;

        public string INTTrueAndCorrectId = null;
        public bool INTTrueAndCorrectExists = false;
        public int INTTrueAndCorrectCount = 0;
        public int INTTrueAndCorrectOccurrenceIndex = 0;
        public int INTTrueAndCorrectLastOccurrenceIndex = 0;
        public string INTTrueAndCorrectIdentifier = null;
        public string INTTrueAndCorrectIdentifierScheme = null;
        public string INTTrueAndCorrectIdentifierA = null;
        public DateTime? INTTrueAndCorrectStartDate = null;
        public DateTime? INTTrueAndCorrectEndDate = null;

        /// <summary>
        /// INTTrueAndCorrect:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string ABNREG184 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyde.02.00:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string ABNREG185 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyde.02.18:PersonNameDetails.Position.Text
        /// </summary>
        public string ABNREG186 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string ABNREG223 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string ABNREG187 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string ABNREG188 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyin.02.29:Declaration.Signature.Date
        /// </summary>
        public DateTime? ABNREG189 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyin.02.28:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? ABNREG190 = null;

        /// <summary>
        /// INTTrueAndCorrect:pyin.02.00:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string ABNREG191 = null;

        public string RPStartId = null;
        public bool RPStartExists = false;
        public int RPStartCount = 0;
        public int RPStartOccurrenceIndex = 0;
        public int RPStartLastOccurrenceIndex = 0;
        public string RPStartIdentifier = null;
        public string RPStartIdentifierScheme = null;
        public string RPStartIdentifierA = null;
        public DateTime? RPStartStartDate = null;
        public DateTime? RPStartEndDate = null;

        /// <summary>
        /// RPStart:pyin.02.32:Interaction.Question.Identifier
        /// </summary>
        public string ABNREG10 = null;

        public string RPOutcomeId = null;
        public bool RPOutcomeExists = false;
        public int RPOutcomeCount = 0;
        public int RPOutcomeOccurrenceIndex = 0;
        public int RPOutcomeLastOccurrenceIndex = 0;
        public string RPOutcomeIdentifier = null;
        public string RPOutcomeIdentifierScheme = null;
        public string RPOutcomeIdentifierA = null;
        public DateTime? RPOutcomeStartDate = null;
        public DateTime? RPOutcomeEndDate = null;

        /// <summary>
        /// RPOutcome:pyin.02.32:Interaction.OutcomeQuestion.Identifier
        /// </summary>
        public string ABNREG14 = null;

        public string RPSuperannuationId = null;
        public bool RPSuperannuationExists = false;
        public int RPSuperannuationCount = 0;
        public int RPSuperannuationOccurrenceIndex = 0;
        public int RPSuperannuationLastOccurrenceIndex = 0;
        public string RPSuperannuationIdentifier = null;
        public string RPSuperannuationIdentifierScheme = null;
        public string RPSuperannuationIdentifierA = null;
        public DateTime? RPSuperannuationStartDate = null;
        public DateTime? RPSuperannuationEndDate = null;

        /// <summary>
        /// RPSuperannuation:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string ABNREG209 = null;

        /// <summary>
        /// RPSuperannuation:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string ABNREG210 = null;

        /// <summary>
        /// RPSuperannuation:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string ABNREG211 = null;

        /// <summary>
        /// RPSuperannuation:pyde.02.19:ElectronicContact.ElectronicServiceAddressAlias.Text
        /// </summary>
        public string ABNREG235 = null;

        public string RPIncomeTaxRefundId = null;
        public bool RPIncomeTaxRefundExists = false;
        public int RPIncomeTaxRefundCount = 0;
        public int RPIncomeTaxRefundOccurrenceIndex = 0;
        public int RPIncomeTaxRefundLastOccurrenceIndex = 0;
        public string RPIncomeTaxRefundIdentifier = null;
        public string RPIncomeTaxRefundIdentifierScheme = null;
        public string RPIncomeTaxRefundIdentifierA = null;
        public DateTime? RPIncomeTaxRefundStartDate = null;
        public DateTime? RPIncomeTaxRefundEndDate = null;

        /// <summary>
        /// RPIncomeTaxRefund:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string ABNREG231 = null;

        /// <summary>
        /// RPIncomeTaxRefund:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string ABNREG232 = null;

        /// <summary>
        /// RPIncomeTaxRefund:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string ABNREG233 = null;

    }
}